#include <windows.h>
#include <tchar.h>
#include <stdio.h>

BOOL testHandle(HANDLE hFile);

int _tmain(int argc, LPCTSTR* argv)
{
	if (argc < 2)
	{
		_tprintf(TEXT("No path specified. Quit.\n"));
		return 1;
	}

	BOOL success = FALSE;
	LPCTSTR lpszFileName = argv[1];
	HANDLE hHandle = CreateFile(lpszFileName, GENERIC_READ, FILE_SHARE_READ | FILE_SHARE_WRITE, NULL, OPEN_EXISTING, FILE_ATTRIBUTE_NORMAL, NULL);
	if (INVALID_HANDLE_VALUE != hHandle)
	{
		DWORD dwFlags = 0;
		success = GetHandleInformation(hHandle, &dwFlags);
		if (success)
		{
			_tprintf(TEXT("EXE: dwFlags = %d\n"), dwFlags);
			success = testHandle(hHandle);
		}
	}

	if (!success)
	{
		DWORD err = GetLastError();
		_tprintf(TEXT("EXE: last error %d\n"), err);
	}

	CloseHandle(hHandle);

	return 0;
}